Subject: Re: bug#7539: 23.2.90; smie.el uses stuff not available in emacs-23
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 03 Dec 2010 14:28:12 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Sven Joachim wrote:

> Then again, I don't quite understand why smie.el was added to emacs-23
> at all, it does not have seem to have any users there (as opposed to the
> trunk where several programming modes use it already).

Presumably so that people maintaining programming modes outside Emacs
have the option to start using smie from Emacs 23.3 onwards.